Skip to main content
`Ctrl`+`K`

# DMAdaptorMonitor

runs the user provided monitor routines, if they exist

## Synopsis

    #include "petscdmadaptor.h"
    PetscErrorCode DMAdaptorMonitor(DMAdaptor adaptor, PetscInt it, DM odm, DM adm, PetscInt Nf, PetscReal enorms[], Vec error)

Collective

## Input Parameters

- adaptor - the `DMAdaptor`

- it - iteration number

- odm - the original `DM`

- adm - the adapted `DM`

- Nf - the number of fields

- enorms - the 2-norm error values for each field

- error - `Vec` of cellwise errors

## Note

This routine is called by the `DMAdaptor` implementations. It does not typically need to be called by the user.

## See Also

SNES: Nonlinear Solvers, `DMAdaptorMonitorSet()`

## Level

developer

## Location

src/snes/utils/dm/dmadapt.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages